Subject: Re: [PATCH] powerpc: Add an xmon command to dump one or all pacas

From: Michael Ellerman <[email-masked]>
Date: Fri, 14 Sep 2012 14:45:12 +1000

On Wed, 2012-09-12 at 21:07 +1000, Stephen Rothwell wrote:
> Hi Michael,
> 
> On Wed, 12 Sep 2012 17:52:40 +1000 Michael Ellerman <[email-masked]> wrote:
> >
> > +#define DUMP(name, format) \
> > +	printf(" %-*s = %#-*"format"\t(0x%lx)\n", 16, #name, 18, p->name, \
> > +		(u64)((void *)&(p->name) - (void *)p));
> 
> I must say that I hate macros that reference (assumed) globals 

Well sure, but it's xmon :)

I can change it to take p as a parameter.

> shouldn't you use offsetof(struct paca_struct, name) (from
> linux/stddef.h)?

Yes!

cheers